Module | TkWinDDE
In: | tk/lib/tk/winpkg.rb

### Methods

async_eval async_execute binary_request eval execute package_name poke request servername services

### Constants

TkCommandNames | = | ['dde'.freeze].freeze
PACKAGE_NAME | = | 'dde'.freeze

### Public Class methods

package_name()

[Source]

    # File tk/lib/tk/winpkg.rb, line 17
      def self.package_name
        PACKAGE_NAME
      end

### Public Instance methods

async_eval(topic, cmd, *args)

[Source]

    # File tk/lib/tk/winpkg.rb, line 80
      def async_eval(topic, cmd, *args)
        tk_call('dde', 'eval', -async, topic, cmd, *args)
      end

async_execute(service, topic, data)

[Source]

    # File tk/lib/tk/winpkg.rb, line 56
      def async_execute(service, topic, data)
        tk_call('dde', '-async', 'execute', service, topic, data)
      end

binary_request(service, topic, item)

[Source]

    # File tk/lib/tk/winpkg.rb, line 68
      def binary_request(service, topic, item)
        tk_call('dde', 'request', '-binary', service, topic, item)
      end

eval(topic, cmd, *args)

[Source]

    # File tk/lib/tk/winpkg.rb, line 76
      def eval(topic, cmd, *args)
        tk_call('dde', 'eval', topic, cmd, *args)
      end

execute(service, topic, data)

[Source]

    # File tk/lib/tk/winpkg.rb, line 52
      def execute(service, topic, data)
        tk_call('dde', 'execute', service, topic, data)
      end

poke(service, topic, item, data)

[Source]

    # File tk/lib/tk/winpkg.rb, line 60
      def poke(service, topic, item, data)
        tk_call('dde', 'poke', service, topic, item, data)
      end

request(service, topic, item)

[Source]

    # File tk/lib/tk/winpkg.rb, line 64
      def request(service, topic, item)
        tk_call('dde', 'request', service, topic, item)
      end

servername(*args)

def servername(topic=None)

      tk_call('dde', 'servername', topic)

end

[Source]

    # File tk/lib/tk/winpkg.rb, line 30
      def servername(*args)
        if args.size == 0
          tk_call('dde', 'servername')
        else
          if args[-1].kind_of?(Hash)  # dde 1.2 +
            keys = _symbolkey2str(args.pop)
            force = (keys.delete('force'))? '-force': None
            exact = (keys.delete('exact'))? '-exact': None
            if keys.size == 0
              tk_call('dde', 'servername', force, exact)
            elsif args.size == 0
              tk_call('dde', 'servername', force, exact, *hash_kv(keys))
            else
              tk_call('dde', 'servername', force, exact,
                      *((hash_kv(keys) << '--') + args))
            end
          else
            tk_call('dde', 'servername', *args)
          end
        end
      end

services(service, topic)

[Source]

    # File tk/lib/tk/winpkg.rb, line 72
      def services(service, topic)
        tk_call('dde', 'services', service, topic)
      end

[Validate]